#include <stdio.h>
#include <stdlib.h>

typedef struct fila * Fila;

Fila cria_lista();
int fila_vazia(Fila f);
int fila_cheia(Fila f);
int insere_fim(Fila f, int elem);
int remove_inicio(Fila f, int *elem);
